Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Reels by Profile URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "num_of_posts": 123,
      "posts_to_not_include": [
        "<string>"
      ],
      "start_date": "<string>",
      "end_date": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/reel/2128461008004479",
    "post_id": "1417440860423673",
    "user_url": "https://www.facebook.com/tmcnewsbr",
    "user_username_raw": "Radio Transamerica FM",
    "content": "Increase in US-Iran tensions...",
    "date_posted": "2026-04-06T00:00:00.000Z",
    "hashtags": ["#guerra", "#eua"],
    "num_comments": 2,
    "num_shares": 0,
    "video_view_count": 582,
    "likes": 3,
    "page_name": "Radio Transamerica FM",
    "profile_id": "100064733164731",
    "page_logo": "https://...",
    "page_likes": 0,
    "page_followers": 1200000,
    "thumbnail": "https://...",
    "page_url": "https://www.facebook.com/tmcnewsbr",
    "profile_handle": "tmcnewsbr",
    "shortcode": "2128461008004479",
    "length": 13.888,
    "audio": "AVAILABLE",
    "video_url": "https://..."
  }
]

Query Parameters

dataset_id
string
default:"gd_lyclm3ey2q6rww027t"
required
The dataset ID used for this request.
Must be set to gd_lyclm3ey2q6rww027t to collect Facebook reels data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/MrBeast6000", "num_of_posts": 10},
    {"url": "https://www.facebook.com/NASA", "start_date": "01-01-2025", "end_date": "03-01-2025"}
  ]
}
[
  {
    "url": "https://www.facebook.com/reel/2128461008004479",
    "post_id": "1417440860423673",
    "user_url": "https://www.facebook.com/tmcnewsbr",
    "user_username_raw": "Radio Transamerica FM",
    "content": "Increase in US-Iran tensions...",
    "date_posted": "2026-04-06T00:00:00.000Z",
    "hashtags": ["#guerra", "#eua"],
    "num_comments": 2,
    "num_shares": 0,
    "video_view_count": 582,
    "likes": 3,
    "page_name": "Radio Transamerica FM",
    "profile_id": "100064733164731",
    "page_logo": "https://...",
    "page_likes": 0,
    "page_followers": 1200000,
    "thumbnail": "https://...",
    "page_url": "https://www.facebook.com/tmcnewsbr",
    "profile_handle": "tmcnewsbr",
    "shortcode": "2128461008004479",
    "length": 13.888,
    "audio": "AVAILABLE",
    "video_url": "https://..."
  }
]